package com.css.simulation.resource.scene.mapper;

import api.common.pojo.param.scene.SceneDeleteParam;
import api.common.pojo.po.scene.ScenePackageSublistPO;
import api.common.pojo.vo.scene.ScenePackageSublistVO;
import org.apache.ibatis.annotations.*;
import org.apache.ibatis.type.JdbcType;

import java.util.List;


@Mapper
public interface ScenePackageSublistMapper {

    void saveScenePackageSublist(ScenePackageSublistPO params);

    void saveScenePackageSublistAll(List<ScenePackageSublistPO> treeList);

    void deleteScenePackageSublist(String rootId);

    void deleteScenePackageSublistById(String sublistId);

    List<ScenePackageSublistVO> queryScenePackageSublistList(ScenePackageSublistPO params);

    //指标名查唯一
    List<ScenePackageSublistVO> queryBySublistName(ScenePackageSublistPO params);


    List<String> selectPackageIdById(SceneDeleteParam param);


    void deleteScenePackageSublistById(SceneDeleteParam param);

}
